【活用ガイド】

[English]

JVNDB-2011-000048

ALZip におけるバッファオーバーフローの脆弱性

概要

ESTsoft Japan 株式会社が提供する ALZip には、バッファオーバーフローの脆弱性が存在します。

ALZip は ESTsoft Japan 株式会社が提供する圧縮解凍ソフトです。ALZip には、mim 形式ファイルの取扱いに問題があり、バッファオーバーフローの脆弱性が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: 株式会社フォティーンフォティ技術研究所 舟久保 貴彦 氏

CVSS による深刻度 (CVSS とは?)

基本値: 6.8 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

影響を受けるシステム


ESTsoft Japan 株式会社
  • ALZip v8.21 およびそれ以前のバージョン

開発者によると ALZip v8.21 については、2011年6月29日 12時 より前にダウンロードされたものが影響を受けるとのことです。
想定される影響

細工されたファイルをユーザが開いたりすることで、任意のコードを実行される可能性があります。
対策

[再インストールする]
ALZip 8.21 を 2011年6月29日 12時 以降に、http://www.altools.jp/ よりダウンロードを行い、インストールし直してください。

開発者によると、「バージョン番号に変更は無いため、自動アップデート等は行われない。対応版では Readme に『- 特定形式の解凍時不具合を修正』という文面が付加されている」とのことです。
ベンダ情報

ESTsoft Japan 株式会社
CWEによる脆弱性タイプ一覧  CWEとは?

  1. バッファエラー(CWE-119) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2011-1336
参考情報

  1. JVN : JVN#01547302
  2. National Vulnerability Database (NVD) : CVE-2011-1336
  3. IPA 重要なセキュリティ情報 : 「ALZip」におけるセキュリティ上の弱点(脆弱性)の注意喚起
更新履歴

[2011年06月29日]
  掲載